# $Revision: 1.58 $, $Date: 2012/03/21 17:40:15 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static library
#
Summary:	ASN.1 library used in GNUTLS
Summary(pl.UTF-8):	Biblioteka ASN.1 używana w GNUTLS
Name:		libtasn1
Version:	2.12
Release:	1
License:	LGPL v2.1+ (library), GPL v3+ (tools)
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/libtasn1/%{name}-%{version}.tar.gz
# Source0-md5:	4eba39fb962d6cf5a370267eae8ff52b
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/libtasn1/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-dtd412-xml
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.4}
BuildRequires:	gtk-doc-automake >= 1.4
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library 'libasn1' developed for ASN1 (Abstract Syntax Notation One)
structures management. The main features of this library are:
- on line ASN1 structure management that doesn't require any C code
  file generation.
- off line ASN1 structure management with C code file generation
  containing an array.
- DER (Distinguish Encoding Rules) encoding
- no limits for INTEGER and ENUMERATED values

%description -l pl.UTF-8
Biblioteka libasn1 stworzona do zarządzania strukturami ASN1 (Abstract
Syntax Notation One). Główne cechy biblioteki to:
- zarządzanie strukturami ASN1 w sposób nie wymagający generowania
  plików z kodem w C
- zarządzanie strukturami ASN1 w sposób umożliwiający generowanie
  plików z kodem w C
- kodowanie DER (Distinguish Encoding Rules)
- brak limitów dla wartości INTEGER oraz ENUMERATED

%package devel
Summary:	Header files etc to develop libtasn1 applications
Summary(pl.UTF-8):	Pliki nagłówkowe i inne do libtasn1
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files etc to develop libtasn1 applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne do libtasn1.

%package static
Summary:	Static libtasn1 library
Summary(pl.UTF-8):	Biblioteka statyczna libtasn1
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libtasn1 library.

%description static -l pl.UTF-8
Biblioteka statyczna libtasn1.

%package apidocs
Summary:	libtasn1 API documentation
Summary(pl.UTF-8):	Dokumentacja API libtasn1
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libtasn1 API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libtasn1.

%prep
%setup -q
%patch0 -p1

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal} -I m4 -I gl/m4 -I lib/glm4
%{__automake}
%{__autoheader}
%{__autoconf}

%configure \
	--enable-gtk-doc%{!?with_apidocs:=no} \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	%{?with_apidocs:--with-html-dir=%{_gtkdocdir}} \
	--with-packager="PLD/Linux" \
	--with-packager-bug-reports="http://bugs.pld-linux.org/"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS doc/*.html
%attr(755,root,root) %{_bindir}/asn1*
%attr(755,root,root) %{_libdir}/libtasn1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libtasn1.so.3
%{_mandir}/man1/asn1*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtasn1.so
%{_libdir}/libtasn1.la
%{_includedir}/libtasn1.h
%{_pkgconfigdir}/libtasn1.pc
%{_infodir}/libtasn1.info*
%{_mandir}/man3/asn1_*.3*
%{_mandir}/man3/libtasn1_*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libtasn1.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/%{name}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtasn1.spec,v $
Revision 1.58  2012/03/21 17:40:15  qboosh
- updated to 2.12

Revision 1.57  2011/11/25 20:07:28  qboosh
- updated to 2.11

Revision 1.56  2011/10/27 14:41:39  qboosh
- updated to 2.10

Revision 1.55  2011/09/09 19:39:37  qboosh
- updated URLs: libtasn1 is proper GNU package now

Revision 1.54  2010/12/08 19:44:15  qboosh
- updated to 2.9

Revision 1.53  2010/09/29 06:48:27  qboosh
- updated to 2.8

Revision 1.52  2010/05/21 05:20:27  qboosh
- updated to 2.7

Revision 1.51  2010/04/29 07:10:14  qboosh
- updated to 2.6

Revision 1.50  2010/03/25 07:10:13  qboosh
- updated to 2.5

Revision 1.49  2010/01/27 11:32:21  megabajt
- updated to 2.4

Revision 1.48  2009/12/01 00:41:29  sparky
- BR: docbook-dtd412-xml, pkgconfig

Revision 1.47  2009/10/03 17:39:41  qboosh
- updated to 2.3
- updated info patch
- pass packager and bug reports info to configure

Revision 1.46  2009/01/24 22:11:43  qboosh
- updated to 1.8

Revision 1.45  2008/11/17 17:40:49  qboosh
- updated to 1.7 (libtasn1-config is temporarily back)

Revision 1.44  2008/11/14 18:25:15  qboosh
- updated to 1.6
- libtasn1-config and m4 macro dropped

Revision 1.43  2008/08/31 12:07:45  qboosh
- updated to 1.5 (memory leak fixes)

Revision 1.42  2008/05/12 19:48:06  qboosh
- updated to 1.4

Revision 1.41  2008-02-11 17:32:12  qboosh
- updated to 1.3

Revision 1.40  2008-01-24 01:36:33  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.39  2008-01-05 01:44:24  qboosh
- updated to 1.2

Revision 1.38  2007-09-10 06:22:14  qboosh
- updated to 1.1 (tools on GPL v3 now)

Revision 1.37  2007/05/26 19:56:37  qboosh
- updated to 0.3.10

Revision 1.36  2007/04/27 18:30:15  megabajt
- added apidocs subpackage
- release 2

Revision 1.35  2007/03/16 20:19:08  qboosh
- updated to 0.3.9

Revision 1.34  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.32  2006/11/17 08:13:21  qboosh
- updated to 0.3.8

Revision 1.31  2006/09/25 11:53:55  qboosh
- updated to 0.3.6

Revision 1.30  2006/08/08 10:53:13  qboosh
- updated to 0.3.5

Revision 1.29  2006/05/12 07:56:25  qboosh
- updated to 0.3.4, -Wno-pointer-sign is optional now

Revision 1.28  2006/05/10 12:50:24  qboosh
- updated to 0.3.3 (gcc 4 is assumed now)

Revision 1.27  2006/03/22 11:20:24  qboosh
- updated to 0.3.2

Revision 1.26  2006/03/09 09:57:51  qboosh
- updated to 0.3.1

Revision 1.25  2006/03/01 11:43:50  qboosh
- updated to 0.3.0 (new soname - 0.2.x left on AC-branch)

Revision 1.24  2006/02/10 09:24:16  qboosh
- updated to 0.2.18 (fixes out-of-bounds access in DER decoding)

Revision 1.23  2005/11/16 23:41:02  charles
- BR: rpmbuild(macros) >= 1.98 for %{_gtkdocdir}

Revision 1.22  2005/09/28 13:42:04  pluto
- gtk-doc enabled (disabled by default) and bconded.

Revision 1.21  2005/09/02 20:35:06  qboosh
- updated to 0.2.17 (versioned symbols restored)

Revision 1.20  2005/08/13 14:24:59  qboosh
- updated to 0.2.15

Revision 1.19  2005/07/17 21:22:19  qboosh
- updated to 0.2.14 (added .pc file)

Revision 1.18  2005/05/31 16:31:55  charles
- BR: gtk-doc

Revision 1.17  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.16  2004/12/17 07:26:02  qboosh
- updated to 0.2.13 (version fix in header)

Revision 1.15  2004/12/11 11:33:26  qboosh
- updated to 0.2.12 (note: same soname, but symbol versioning changed)
- removed obsolete am18 patch, added info patch

Revision 1.14  2004/05/18 22:35:37  qboosh
- updated to 0.2.10 (serious DER parsing bug fixed)
- added am18 patch

Revision 1.13  2004/04/22 21:04:46  qboosh
- updated to 0.2.9

Revision 1.12  2004/04/17 21:41:04  qboosh
- updated to 0.2.8

Revision 1.11  2004/02/28 13:45:08  qboosh
- updated to 0.2.7, strict internal deps

Revision 1.10  2003/10/07 19:51:56  qboosh
- 0.2.6

Revision 1.9  2003/08/10 11:49:49  qboosh
- 0.2.5

Revision 1.8  2003/05/28 12:59:32  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:50:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/15 23:08:21  qboosh
- updated to 0.2.4

Revision 1.5  2003/01/28 08:33:41  qboosh
- s/aclocal/automake/ in BR

Revision 1.4  2003/01/27 22:46:19  filon
- updated to 1.1.2
- regereate ac/am/lt stuff

Revision 1.3  2002/11/25 14:17:04  ankry
- massive attack: no need for 755 for *.la

Revision 1.2  2002/10/09 07:58:18  misiek
- it's LGPL

Revision 1.1  2002/10/09 07:56:16  misiek
- initial pld release
